# Wallet

## Payin by Wallet

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by Wallet in Mexico.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                                          | Type   | Description                                                                                          |
| ------------------------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>                     | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                         |
| method<mark style="color:red;">\*</mark>                      | string | Fixed value: Wallet                                                                                  |
| channel<mark style="color:red;">\*</mark>                     | string | <p>Wallet type<br>- Todito -</p>                                                                     |
| out\_trade\_no<mark style="color:red;">\*</mark>              | string | <p>ID given by the merchant in their system<br>- Max. 64 chars - </p>                                |
| timestamp<mark style="color:red;">\*</mark>                   | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                      |
| order\_amount<mark style="color:red;">\*</mark>               | string | <p>payment amount<br>- check <a href="../../../data/payment-method#mexico">here</a> for limits -</p> |
| order\_currency<mark style="color:red;">\*</mark>             | string | Fixed value: MXN                                                                                     |
| subject<mark style="color:red;">\*</mark>                     | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                         |
| content                                                       | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>                                 |
| notify\_url<mark style="color:red;">\*</mark>                 | string | Where Pagsmile will send notification to                                                             |
| website\_url                                                  | string | <p>merchant website URL</p><p>- Max. 128 chars -</p>                                                 |
| return\_url                                                   | string | Redirect to Merchant's url when user finished checkout                                               |
| buyer\_id<mark style="color:red;">\*</mark>                   | string | merchant user's id                                                                                   |
| account\_number<mark style="color:red;">\*</mark>             | string | <p>User's wallet account number<br>- 10 \~ 18 digits -</p>                                           |
| account\_verification\_code<mark style="color:red;">\*</mark> | string | <p>User's wallet account verification code</p><p>- 4 digits -</p>                                    |
| customer.name                                                 | string | User's name                                                                                          |
| customer.email                                                | string | User's email                                                                                         |
| customer.phone                                                | string | User's phone                                                                                         |
| customer.identify.type                                        | string | <p>User's identification type</p><p>- RFC or CURP -</p>                                              |
| customer.identify.number                                      | string | <p>User's identification number</p><p>- RFC: 13 chars, ex: MAMB780915969; CURP: 18 chars. -</p>      |
| address.zip\_code                                             | string | <p>zip code</p><p>- 5 digits -</p>                                                                   |
| address.street                                                | string | street                                                                                               |
| address.street\_number                                        | string | street number                                                                                        |
| address.city                                                  | string | city                                                                                                 |
| address.state                                                 | string | state                                                                                                |

{% tabs %}
{% tab title="200 submit successfully" %}
{% tabs %}
{% tab title="Todito" %}

```
{
    "code": "10000",
    "msg": "Success",
    "trade_no": "2022010110293900084",
    "out_trade_no": "202201010354004",
    "web_url": "",
    "trade_status": "PROCESSING"
}
```

{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

## Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
    * "app_id": "162************38",
    * "out_trade_no": "202201010354004",
    * "method": "Wallet",
    * "channel": "Todito",
    * "order_amount": "12.01",
    * "order_currency": "MXN",
    * "subject": "trade pay test",
      "content": "trade pay test conent",
    * "notify_url": "http://merchant/callback/success",
    * "return_url": "https://www.merchant.com",
    * "buyer_id": "buyer_0101_0001",
    * "timestamp": "2022-01-01 03:54:01",
      "timeout_express":"1c",
    * "account_number": "2660893978", //for test environment
    * "account_verification_code":"1322", //for test environment
      "customer" : {
          "identify": {
              "type": "RFC",
              "number": "MAMB780915969"
          },
          "name": "Test User Name",
          "email": "test@pagsmile.com"
      }'
```

{% hint style="info" %}
Note:  **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.&#x20;
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
